openapi: 3.0.0
info:
description: |
# Overview
The SureMDM API enables you to interact with SureMDM server through 'RESTful' operations such as reading, modifying, adding or deleting data from your SureMDM account. The APIs also support [Cross-Origin Resource Sharing (CORS)](https://en.wikipedia.org/wiki/Cross-origin_resource_sharing).
You can use this API to integrate within your existing application to perform actions or retrieve data to build your own dashboard or use in some other kind of business use case.
# Usage Limit
42Gears SureMDM is concurrently used by many customers. As part of our commitment to offering a high-quality, fast, and reliable service to all our customers, we have defined the following API usage limits per customer:
- Maximum 5000 requests per day
- Maximum burst of 10 requests per minute for a maximum of 30 minutes in a day
# Authentication
SureMDM uses `Basic Auth` for authentication purpose. Every request must contain a basic authentication HTTP header along with an ApiKey in header, below are the sample code in multiple languages:
| Parameter | Description |
|---|---|
| id | ID of the device |
| name | Device name |
| pltFrmType | Platform type of the device (e.g, android) |
| agentversion | Version of nix agent installed on the device |
| perm | Permissions allowed 126: Allow Remote Screen 127: Allow Remote File Manager 128: Allow Remote Clipboard 129: Allow Remote Task Manager |
| Field | Description | Example value |
|---|---|---|
| DeviceName | Name of the device | “Client06” |
| DeviceModelName | Model name of the device | “Lenovo” |
| ConnectionStatus | Connection status of the device with SureMDM | “1” : Online only “0” : Offline only “1,0” : Online, Offline both |
| Battery | Battery remaining on the device. | "40", ">40", "<40", ">=40", "<=40" |
| DeviceIPAddress | IP address of the device | “172.31.17.125” |
| DeviceTimeZone | Time zone of place where device is located | “kolkata” |
| Operator | Telecom operator used by the device | “airtel” |
| PhoneRoaming | If phone is roaming | ”yes”, "no" |
| PhoneSignal | Phone signal strength in terms of percentage | "50", ">50", "<50", ">=50", "<=50" |
| AgentVersion | Nix Agent version |
"12.09", ">12.09", "<12.09", ">=12.09", "<=12.09" |
| ReleaseVersion | OS version of device | "8.1.0" |
| SureLockVersion | SureLock version | "8.27", ">8.27", "<8.27", ">=8.27", "<=8.27" |
| SureFoxVersion | Surefox version | "6.14", ">6.14", "<6.14", ">=6.14", "<=6.14" |
| SureVideoVersion | Surevideo version | "3.11", ">3.11", "<3.11", ">=3.11", "<=3.11" |
| IMEI | IMEI number of the device | "866991030279668" |
| IMEI2 | Second IMEI number of the device | "866991030279668" |
| AndroidID | Unique identification of Android device |
"hc5dq94hyt3vv98" |
| PhoneNumber | Cell phone number used by the device | "4242842574" |
| SerialNumber | Serial number of the device | "F5AZFG208323" |
| RootStatus | Device Root status | "0" : No "1" : Granted "2" : Unknown "3" : Yes "4" : Signed |
| KnoxStatus | If device uses KNOX | "0" : N/A "1" : No "2" : Yes |
| DataUsage | Total data usage of the device(in Bytes) | "4000", ">4000", "<4000", ">=4000", "<=4000" |
| CpuUsage | Device CPU usage in percentage | "50", ">50", "<50", ">=50", "<=50" |
| GpuUsage | Device GPU usage in percentage | "50", ">50", "<50", ">=50", "<=50" |
| Temperature | Device battery temperature | "33", ">33", "<33", ">=33", "<=33" |
| IsSupervised (ios only) | If device is supervised apple device | "yes", "no", "n/a" |
| Isenrolled (iso only) | Whether IOS enrolled | "yes", "no", "n/a" |
| Notes | Device notes | "device on field" |
| NixPollingType | Nix agent app polling type | "apns" : Apple Push Notification service "wns" : Windows Push Notification Services "fcm" : Firebase Cloud Messaging "gcm" : Google Cloud Messaging "normal" : Normal polling "periodic" : Periodic polling |
| NetworkType | Type of network device is using | "wi-fi" |
| DeviceUserName | Device user name | "John doe" |
| GPSEnabled | IF GPS is enabled or not | "enabled" "disabled" "n/a" |
| SimSerialNumber | Unique Identity Number of SIM Used by the device | "9113680539297400000" |
| BluetoothEnabled | IF Bluetooth enabled or not | "1" : On "0" : Off "n/a" : Not applicable |
| USBPluggedIn | If USB plugged in or not | "1" : Plugged in "0" : Plugged out "n/a" : Not applicable |
| BSSID | Bluetooth MAC address | "44:91:DB:2A:91:12" |
| OsBuildNumber | Device's OS Build Number | "KTU84P.G900VVRU1ANI2" |
| SureLockSettingsVersionCode | SureLock settings identifier | "1.1" |
| RealDeviceName | Bluetooth name of the device | "John doe" |
| AfwProfile | Android enterprise status of the device | "1" : Not supported "2" : Not enrolled "3" : Managed device "4" : Profile owner "5" : Device owner |
| DeviceGroupPath | Path of group in which device is registered | "Home/group1" |
| MTPSystemScanThreatCount | Count of threats detected by system scan | "2" |
| IsMobileHotSpotEnabled | If mobile hotspot is enabled or not | "1" : On "0" : Off "null" : Not applicable |
| IsEncryptionEnabled | If data encryption enabled or not | "1" : Yes "0" : No "null" : Not applicable |
| CtsProfileMatch | A stricter verdict of device integrity. If the value of ctsProfileMatch is true, then the profile of the device running your app matches the profile of a device that has passed Android compatibility testing. |
"1" : Yes "0" : No "null" : Not applicable |
| BasicIntegrity | A more lenient verdict of device integrity. If only the value of basicIntegrity is true, then the device running your app likely wasn't tampered with. However, the device hasn't necessarily passed Android compatibility testing. |
"1" : Pass "0" : Fail "null" : Not applicable |
| VerifyAppEnable | If threat protection is enabled or not | "1" : Enabled "0" : Desabled "null" : Not applicable |
| DeviceID | ID of the device assigned by suremdm | "c66c5bc6-b3d2-44d6-8ea6-f850ad3ac2f6" |
| ADBEnable | If USB debugging enabled or not | "1" : Enabled "0" : Desabled "null" : Not applicable |
| AllowUnknownSource | Status of Allow Unknown Source on device | "1" : Allowed "0" : Blocked "null" : Not applicable |
| DeviceLocalIPAddress | Local IP Address of device | "192.168.1.99" |
| WifiSSID | Wi-Fi name of the device | "John's pixel" |
| HashCode | Android enterprise hash code value | "b378e95c" |
| CurrentFirmwareVersion | Once device is registered with Efota server, Samsung devices will send the current firmware available in the device | "G920FXXU3DPDO" |
| EfotaRegistrationStatus | Status of device registration with efota Server | "1" : Success "0" : Failed "n/a" : Not applicable |
| Parameter | Description |
|---|---|
| Time | HH:MM (24 hour format) Eg: 10:41 |
| Days | Days to repeat 0 - Sunday 1 - Monday 2 - Tuesday 3 - Wednesday 4 - Thursday 5 - Friday 6 - Saturday Eg: ["1","2","3","4","5"] |
| GMTTimeInterval | Time offset in minutes preceding with '-' Eg: -330 for GMT"+05:30" |
| Value | Description |
|---|---|
| 0 | WiFi |
| 1 | Mobile data |
| 2 | Any |
| Value | Description |
|---|---|
| 0 | Pending to apply jobs |
| 1 | Successfully applied jobs |
| 2 | Failed to apply jobs |
| 3 | In progress jobs |
| Parameter | Description |
|---|---|
| Time | HH:MM (24 hour format) Eg: 10:41 |
| Days | Days to repeat 0 - Sunday 1 - Monday 2 - Tuesday 3 - Wednesday 4 - Thursday 5 - Friday 6 - Saturday Eg: ["1","2","3","4","5"] |
| GMTTimeInterval | Time offset in minutes preceding with '-' Eg: -330 for GMT"+05:30" |
| Value | Description |
|---|---|
| 0 | WiFi |
| 1 | Mobile data |
| 2 | Any |
| Condition | Description | Value |
|---|---|---|
| = | is or equals | = |
| != | is not or not equals | != |
|_| |
contains | |_| |
!|_| |
not contains | !|_| |
|_ |
starts with | |_ |
!|_ |
not starts with | !|_ |
_| |
ends with | _| |
!_| |
not ends with | !_| |
| Condition | Description | Value |
|---|---|---|
| = | is or equals | = |
| != | is not or not equals | != |
| > | greater than | > |
| < | less than | < |
| >= | greater than or equal to | >= |
| <= | less than or equal to | <= |
|-| |
between | |-| |
!|-| |
not between | !|-| |
| Option | Description |
|---|---|
| And | Combines multiple conditions where all must be true for the filter to match. |
| Or | Combines multiple conditions where at least one must be true for the filter to match. |
| And ( | Starts a grouped condition with an `AND` logical operator. (includeStart will be true) |
| Or ( | Starts a grouped condition with an `OR` logical operator. (includeStart will be true) |
| ) | Closes a grouped condition. (includeStop will be true) |
| ) And | Closes a grouped condition and appends an `AND` logical operator. (includeStop will be true) |
| ) Or | Closes a grouped condition and appends an `OR` logical operator. (includeStop will be true) |
| Supported Column Name | Prop | Type | Condition |
|---|---|---|---|
| Device name | DeviceName | textWithFilters | text |
| Device Manufacturer | DeviceManufacture | text | text |
| Platform/Model | DeviceModelName | textWithFilters | text |
| IP Address | DeviceIPAddress | text | text |
| Network operator | Operator | text | text |
| Agent version | AgentVersion | text | numeric |
| OS version | ReleaseVersion | text | numeric |
| SureLock Version | SureLockVersion | text | numeric |
| SureFox Version | SureFoxVersion | text | numeric |
| SureVideo Version | SureVideoVersion | text | numeric |
| IMEI | IMEI | textWithFilters | text |
| IMEI 2 | IMEI2 | text | text |
| MEID | MEID | text | text |
| IMSI | IMSI | text | text |
| Phone Number | PhoneNumber | text | text |
| Serial Number | SerialNumber | textWithFilters | text |
| OS Build Number | OsBuildNumber | text | text |
| Group Path | DeviceGroupPath | text | text |
| Sim Serial Number (ICCID) | SimSerialNumber | text | text |
| Network Type | NetworkType | text | text |
Additionally, two additional columns are available for advanced Filters:
{
"FilterName": "Skeths1s",
"FilterQuery": [
{
"name": "Boolean Windows Script_API",
"prop": "Boolean Windows Script_API",
"condition": "=",
"type": "text",
"isCP": true,
"val": "as",
"valueLabel": "as"
},
{
"joinCondition": "And"
},
{
"name": "Chrome",
"prop": "com.android.chrome",
"condition": "=",
"type": "numeric",
"isApp": true,
"val": "12.21",
"valueLabel": "12.21"
}
],
"isQuerySearch": true
}
{"name":"", "prop":"", "condition":"", "type":"", "val":"", "valueLabel":"", "isCP":true, "isApp":true}
{
"FilterName": "usernameAdvancedFilterNew",
"FilterQuery": [
{
"name": "Device Manufacturer",
"prop": "DeviceManufacture",
"condition": "|_|",
"type": "text",
"val": "XIOMI",
"valueLabel": "XIOMI"
},
{ "joinCondition": "Or" },
{
"name": "Platform / Model",
"prop": "DeviceModelName",
"condition": "!=",
"type": "textWithFilters",
"val": "ANDROID",
"valueLabel": "ANDROID"
},
{ "joinCondition": "Or" },
{
"name": "IP Address",
"prop": "DeviceIPAddress",
"condition": "=",
"type": "text",
"val": "2323243.232",
"valueLabel": "2323243.232"
},
{ "joinCondition": "Or" },
{
"name": "Phone Number",
"prop": "PhoneNumber",
"condition": "!=",
"type": "text",
"val": "9349347834288734",
"valueLabel": "9349347834288734"
},
{ "joinCondition": "Or" },
{
"name": "Group Path",
"prop": "DeviceGroupPath",
"condition": "!=",
"type": "text",
"val": "GROUP/HOME",
"valueLabel": "GROUP/HOME"
}
],
"isQuerySearch": true
}
| true | Get all jobs |
|---|---|
| false | Get only pending jobs |
| Value | Description |
|---|---|
| 0 | WiFi network |
| 1 | Mobile network |
| 2 | Any network |
| Language | Sample Script |
|---|---|
| CURL |
curl -X POST "https://yourdomain.com/api/v2/devicegrid" \
-H "Content-Type: application/json" \
-H "Authorization: Basic
|
| C# |
var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Post, "https://yourdomain.com/api/v2/devicegrid");
var payload = new {
AdanceSearch = true,
AdvSearchJobID = "",
AdvSearchValue = new[] { "android" },
SearchColumns = new[] { "DeviceModelName" },
EnableDeviceGlobalSearch = false,
ID = (string)null,
IsTag = false,
Limit = 1000,
Offset = 0,
SearchValue = "",
SortColumn = "ConnectionStatus",
SortOrder = "desc",
Source = "External",
ApplicationList = new[] {
"com.google.android.apps.subscriptions.red",
"com.google.android.googlequicksearchbox"
},
SearchPayload = new object[] {},
SubgroupDevicesEnable = false,
IsIncludedBlackListed = false,
NameSearchOption = "0",
ModelSearchOption = "0",
DataUsageSearchOption = "",
Columns = new[] {
"DeviceName", "DeviceModelName", "ConnectionStatus", "LastTimeStamp", "AgentVersion",
"Battery", "BatteryHealth", "KnoxStatus", "ReleaseVersion", "DeviceRegistered",
"Temperature", "NixPollingType", "PhoneNumber", "DeviceUserName", "BSSID",
"OsBuildNumber", "AfwProfile", "DeviceGroupPath", "BasicIntegrity",
"EfotaRegistrationStatus", "DeviceID", "Hostname", "MacAddress", "DeviceManufacture",
"AADDeviceId", "AADEnrollmentStatus", "ManagementType"
}
};
request.Content = new StringContent(JsonConvert.SerializeObject(payload), Encoding.UTF8, "application/json");
request.Headers.Add("ApiKey", "Your Api-Key");
request.Headers.Authorization = new AuthenticationHeaderValue("Basic", Convert.ToBase64String(Encoding.ASCII.GetBytes("Username:Password")));
var response = await client.SendAsync(request);
Console.WriteLine("Response Code: " + (int)response.StatusCode);
var responseBody = await response.Content.ReadAsStringAsync();
Console.WriteLine("Response Body: " + responseBody);
|
| Java |
HttpClient client = HttpClient.newHttpClient();
String json = """
{
"AdanceSearch": true,
"AdvSearchJobID": "",
"AdvSearchValue": ["android"],
"SearchColumns": ["DeviceModelName"],
"EnableDeviceGlobalSearch": false,
"ID": null,
"IsTag": false,
"Limit": 1000,
"Offset": 0,
"SearchValue": "",
"SortColumn": "ConnectionStatus",
"SortOrder": "desc",
"Source": "External",
"ApplicationList": [
"com.google.android.apps.subscriptions.red",
"com.google.android.googlequicksearchbox"
],
"SearchPayload": [],
"SubgroupDevicesEnable": false,
"IsIncludedBlackListed": false,
"NameSearchOption": "0",
"ModelSearchOption": "0",
"DataUsageSearchOption": "",
"Columns": [
"DeviceName", "DeviceModelName", "ConnectionStatus", "LastTimeStamp", "AgentVersion",
"Battery", "BatteryHealth", "KnoxStatus", "ReleaseVersion", "DeviceRegistered",
"Temperature", "NixPollingType", "PhoneNumber", "DeviceUserName", "BSSID",
"OsBuildNumber", "AfwProfile", "DeviceGroupPath", "BasicIntegrity",
"EfotaRegistrationStatus", "DeviceID", "Hostname", "MacAddress", "DeviceManufacture",
"AADDeviceId", "AADEnrollmentStatus", "ManagementType"
]
}
""";
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://yourdomain.com/api/v2/devicegrid"))
.header("Content-Type", "application/json")
.header("ApiKey", "Your Api-Key")
.header("Authorization", "Basic " + Base64.getEncoder().encodeToString("Username:Password".getBytes()))
.POST(HttpRequest.BodyPublishers.ofString(json))
.build();
HttpResponse
|
| Python |
import requests
import base64
import json
# Basic Auth credentials
username = "your username"
password = "your password"
credentials = f"{username}:{password}"
encoded_credentials = base64.b64encode(credentials.encode()).decode()
# Headers
headers = {
"Content-Type": "application/json",
"ApiKey": "YourApiKey",
"Authorization": f"Basic {encoded_credentials}"
}
# JSON payload
payload = {
"AdanceSearch": True,
"AdvSearchJobID": "",
"AdvSearchValue": ["android"],
"SearchColumns": ["DeviceModelName"],
"EnableDeviceGlobalSearch": False,
"ID": None,
"IsTag": False,
"Limit": 1000,
"Offset": 0,
"SearchValue": "",
"SortColumn": "ConnectionStatus",
"SortOrder": "desc",
"Source": "External",
"ApplicationList": [
"com.google.android.apps.subscriptions.red",
"com.google.android.googlequicksearchbox"
],
"SearchPayload": [],
"SubgroupDevicesEnable": False,
"IsIncludedBlackListed": False,
"NameSearchOption": "0",
"ModelSearchOption": "0",
"DataUsageSearchOption": "",
"Columns": [
"DeviceName", "DeviceModelName", "ConnectionStatus", "LastTimeStamp", "AgentVersion",
"Battery", "BatteryHealth", "KnoxStatus", "ReleaseVersion", "DeviceRegistered",
"Temperature", "NixPollingType", "PhoneNumber", "DeviceUserName", "BSSID",
"OsBuildNumber", "AfwProfile", "DeviceGroupPath", "BasicIntegrity",
"EfotaRegistrationStatus", "DeviceID", "Hostname", "MacAddress", "DeviceManufacture",
"AADDeviceId", "AADEnrollmentStatus", "ManagementType"
]
}
# Make the POST request
url = "https://yourdomain.com/api/v2/devicegrid"
response = requests.post(url, headers=headers, json=payload)
# Print the response
print("Response Code:", response.status_code)
print("Response Body:", response.text)
|
| Platform | Values |
|---|---|
| Default | false |
| Android | system, installed |
| Windows | native, uwp |
| Value | Description |
|---|---|
| UseSystemGenerated | Use system generated device name |
| UseIMEI | Use IMEI number as device name |
| UseMac | Use WiFi MAC address as device name |
| UseSerialNumber | Use device's serial number as device name |
| UsePhoneNumber | Use phone number used by the device as device name |
| SetManually | Set device name manually |
This is an alert message
" } Note: The payload should be converted in [Base64](https://en.wikipedia.org/wiki/Base64). type: array items: type: string Platform: type: string description: | Name of platform.| Value | Description |
|---|---|
| 0 | Installed App |
| 1 | System App |
| true | Mark as read |
|---|---|
| false | Mark as unread |
this is a sample alert
| Value | Description |
|---|---|
| -1 | None(Default) |
| 1 | 1 day |
| 2 | 3 days |
| 3 | 1 week |
| 4 | 2 weeks |
| 5 | 1 Month |
| Value | Description |
|---|---|
| -3 | None(Default) |
| -2 | Automatic Push |
| -1 | Never |
| 15 | 15 minutes |
| 30 | 15 minutes |
| 60 | 1 hour |
| 240 | 4 hours |
| 720 | 12 hours |
LocalPath: The file name to be uploaded to the device.DevicePath: Directory path on the device where the file will be stored.Install: Set to true if the uploaded file is to be installed (e.g., APK).UseBasicAuthentication: Set to true to use basic authentication for file download.IsHttpUrl: Set to true if the file is hosted over HTTP/HTTPS.HttpUserName: Username for basic HTTP authentication.HttpPassword: Password for basic HTTP authentication.IsSilent: Set to true to silently install the app without user interaction.ExecutePath: Optional command or path to execute after deployment.CurrentUser: Set to true to deploy the job under the currently logged-in user.JobNameXML: Name of the job as stored in XML format, usually same as the file name.FromAppStore: Set to true if the app is to be installed from a managed app store.EnableExecutionScripts: Set this to true to activate the execution of pre and post scripts during job deployment.PreExecutionScript: Define the script to run before the job is deployed. Useful for validating prerequisites, checking permissions, or preparing configurations.PostExecutionScript: Define the script to run after the job deployment. Use this to apply final configurations or complete the deployment process.EnableRevokeScripts: Set this to true to allow execution of pre and post scripts when revoking a job.PreRevokeScript: Specify the script to execute before revoking the job.PostRevokeScript: Specify the script to execute after the job has been revoked.LocalPath: The name of the file to be deployed. This file can reside on the server or local machine.DevicePath: Destination directory on the target device where the file will be copied.Install: Copies the file to the specified path and installs the application on the device if applicable.DeleteAfterInstallation: If set to true, the file will be deleted from the device after successful installation.UseBasicAuthentication: Enables HTTP Basic Authentication if the file is being accessed via a URL.IsHttpUrl: Set to true if the LocalPath points to an online URL instead of a local or server file.HttpUserName: Username used for HTTP Basic Authentication (only applicable if UseBasicAuthentication is true).HttpPassword: Password used for HTTP Basic Authentication.IsSilent: Attempts to install the application silently without user interaction (if the device supports silent installs).ExecutePath: Path to the file to be executed after deployment. Useful for launching non-APK files.CurrentUser: Executes the job under the context of the currently logged-in user on the device (if supported).JobNameXML: Job identifier name used internally; typically the same as the file name being deployed.FromAppStore: Indicates whether the application is being installed from an official app store.AppRestrictions: Optional app restriction configurations (can be null if not applicable).AddShortcutToHomeScreen: Creates a shortcut to the application on the device's home screen.
If there's insufficient space, the shortcut may not be created.AutoGrantPermissions: Automatically grants all runtime permissions required by the application post-installation.EnableExecutionScripts: Enables the execution of pre and post deployment scripts during the job.PreExecutionScript: Script that runs before the job is executed. Can be used to prepare the device or validate preconditions.PostExecutionScript: Script that runs after the job has completed. Useful for cleanup or final setup.EnableRevokeScripts: Enables execution of scripts when the job is being revoked or uninstalled.PreRevokeScript: Script executed before the job is revoked from the device.PostRevokeScript: Script executed after the job is revoked from the device.| Value | Description |
|---|---|
| 0, 1 | Pending |
| 2 | Successfully Deployed |
| 3 | Error applying job |
| Value | Description |
|---|---|
| 0 | WiFi network |
| 1 | Mobile network |
| 2 | Any network |
| Value | Description |
|---|---|
| 0 | WiFi |
| 1 | Mobile data |
| 2 | Any |
| 3 | Ethernet only |
| 4 | Ethernet or WiFi only |
| On-Demand | |
|---|---|
| 100 | Generate report immediately |
| Schedule | |
| 200 | Generate report daily |
| 300 | Generate report weekly |
| 400 | Generate report monthly |
| Value | Description |
|---|---|
| 0 | Pending report |
| 1 | Successfully generated report |
| 2 | Failed to generate report |
| Value | Description |
|---|---|
| UseSystemGenerated | Use system-generated device name |
| UseIMEI | Use IMEI number as device name |
| UseMac | Use WiFi MAC address as device name |
| UseSerialNumber | Use device's serial number as device name |
| UsePhoneNumber | Use phone number used by the device as device name |
| SetManually | Set device name manually |
| Value | Description |
|---|---|
| UseSystemGenerated | Use system-generated device name |
| UseIMEI | Use IMEI number as device name |
| UseMac | Use WiFi MAC address as device name |
| UseSerialNumber | Use device's serial number as device name |
| UsePhoneNumber | Use phone number used by the device as device name |
| SetManually | Set device name manually |
| Supported Column Name | Value |
|---|---|
| Android | android |
| iOS | ios |
| Windows | windows |
| Windows CE | windows_ce |
| Windows Mobile | windows_mobile |
| Any OS | any |
| Android Wear | androidwear |
| Linux | linux |
| Android VR | AndroidVR |
| MacOS | macos |
| tvOS | tvos |
| ChromeOS | chromeos |
| Intel AMT | IntelAmt |
| Things | any |
| Value | Default Profile |
|---|---|
| 0 | No |
| 1 | Yes |
| Value | Default Profile |
|---|---|
| 0 | No |
| 1 | Yes |
| Value | Default Profile |
|---|---|
| 0 | No |
| 1 | Yes |
| Value | Default Profile |
|---|---|
| 0 | No |
| 1 | Yes |
| Value | Android Management Profile |
|---|---|
| 0 | No |
| 1 | Yes |
| Value | Default AM Policy |
|---|---|
| 0 | No |
| 1 | Yes |
| Description | Value |
|---|---|
| Prompt | 0 |
| Grant | 1 |
| Deny | 2 |
| Profile Type Value | Description |
|---|---|
| 1 | Device Security |
| 2 |
Work Security |
| 3 |
Device & Work Security |
| Password Quality Value |
Description |
|---|---|
| null |
none |
| 0 |
Unspecified |
| 262144 |
Alphabetic |
| 327680 | Alphanumeric |
| 131072 | Numeric |
| 393216 | Complex |
| 65536 | Any |
| Permission Value |
Description |
|---|---|
| 0 |
Prompt |
| 1 |
Grant |
| 2 | Deny |
| Value | Description |
|---|---|
| 1 |
Allow installation from unknown sources |
| -1 |
Don't allow installation from unknown sources |
| Description | Value |
|---|---|
| Don't care | 0 |
| Automatic | 1 |
| Windowed | 2 |
| Postpone | 3 |
| Description | Value |
|---|---|
| Disable | 0 |
| Enable | 1 |
| Description | Value |
|---|---|
| Always | 0 |
| User CHoice | 1 |
| Wi-Fi only | 2 |
| Never | 3 |
| Description | Value |
|---|---|
| Enterprise application | 0 |
| Enterprise web app | 1 |
| Description | Value |
|---|---|
| Enterprise application | 0 |
| Enterprise web app | 1 |
| Parameter | SCEP value | Value |
|---|---|---|
| Name | True | Name of the certificate to be created |
| False | Name of the certificate uploaded | |
| Data | True | Name of the certificate preceded by %SCEPCERT% |
| False | Uploaded certificate in Base64 encoded format | |
| GUID | True | Name of the certificate preceded by %SCEPCERTGUID% |
| False | Unique Identifier of uploaded certificate | |
| Password | True | %SCEPCERTPFXPWD% |
| False | Password |
| Parameter | Value |
|---|---|
| VPN and apps | 0 |
| Wi-Fi | 1 |
| Parameter | Value |
|---|---|
| 0 | |
| Allowed | 1 |
| Denied | 2 |
| Parameter | Value |
|---|---|
| 0 | |
| Allowed | 1 |
| Denied | 2 |
| Description | Value |
|---|---|
| None | -1 |
| Auto | 1 |
| Manual | 0 |
| Description | Value |
|---|---|
| Monday | 1 |
| Tuesday | 2 |
| Wednesday | 3 |
| Thursday | 4 |
| Friday | 5 |
| Saturday | 6 |
| Sunday | 7 |
| Description | Value |
|---|---|
| Monday | 1 |
| Tuesday | 2 |
| Wednesday | 3 |
| Thursday | 4 |
| Friday | 5 |
| Saturday | 6 |
| Sunday | 7 |
| Open | WEP | WPA/WPA2 PSEK | EAP/TLS | PEAP | |
|---|---|---|---|---|---|
| SSID | ✔️ | ✔️ | ✔️ | ✔️ | ✔️ |
| Security Type | ✔️ | ✔️ | ✔️ | ✔️ | ✔️ |
| Password | ✔️ | ✔️ | ✔️ | ✔️ | |
| Identity | ✔️ | ✔️ | |||
| CA certificates | ✔️ | ✔️ | |||
| User certificates | ✔️ | ||||
| Phase 2 authentication | ✔️ | ||||
| Anonymous identity | ✔️ | ||||
| Auto connect | ✔️ | ✔️ | ✔️ | ✔️ | ✔️ |
| Hidden network | ✔️ | ✔️ | ✔️ | ✔️ | ✔️ |
| Parameter | Value |
|---|---|
| Open | 0 |
| WEP | 1 |
| WPA/WPA PSK2 | 2 |
| EAP/TLS | 3 |
| PEAP | 4 |
| Parameter | Value |
|---|---|
| None | 0 |
| GTC | 3 |
| MSCHAPV2 | 4 |
| Parameter | Value |
|---|---|
| Active Sync | 3 |
| POP3 | 2 |
| IMAP | 1 |
| Parameter | Value |
|---|---|
| None | 0 |
| SSL/TLS | 1 |
| STARTTLS | 2 |
| Parameter | Value |
|---|---|
| None | 0 |
| SSL/TLS | 1 |
| STARTTLS | 2 |
| On-Demand | |
|---|---|
| 100 | Generate report immediately |
| Schedule | |
| 200 | Generate report daily |
| 300 | Generate report weekly |
| 400 | Generate report monthly |
| Value | Description |
|---|---|
| 0 | Pending report |
| 1 | Successfully generated report |
| 2 | Failed to generate report |
| On-Demand | |
|---|---|
| 100 | Generate report immediately |
| Schedule | |
| 200 | Generate report daily |
| 300 | Generate report weekly |
| 400 | Generate report monthly |
| Daily | Format: HH:MM Sample: "01:00" (at 01:00 Daily) |
| Weekly | Format: HH:MM~Day Sample: "01:00~4" (at 01:00 on every Thursday of week) |
| Monthly | Format: HH:MM~Date Sample: "01:00~20" (at 01:00 on every 20th day of month) |
| On-Demand | |
|---|---|
| 100 | Generate report immediately |
| Schedule | |
| 200 | Generate report daily |
| 300 | Generate report weekly |
| 400 | Generate report monthly |
| Daily | Format: HH:MM Sample: "01:00" (at 01:00 Daily) |
| Weekly | Format: HH:MM~Day Sample: "01:00~4" (at 01:00 on every Thursday of week) |
| Monthly | Format: HH:MM~Date Sample: "01:00~20" (at 01:00 on every 20th day of month) |
| On-Demand | |
|---|---|
| 100 | Generate report immediately |
| Schedule | |
| 200 | Generate report daily |
| 300 | Generate report weekly |
| 400 | Generate report monthly |
| Daily | Format: HH:MM Sample: "01:00" (at 01:00 Daily) |
| Weekly | Format: HH:MM~Day Sample: "01:00~4" (at 01:00 on every Thursday of week) |
| Monthly | Format: HH:MM~Date Sample: "01:00~20" (at 01:00 on every 20th day of month) |
| On-Demand | |
|---|---|
| 100 | Generate report immediately |
| Schedule | |
| 200 | Generate report daily |
| 300 | Generate report weekly |
| 400 | Generate report monthly |
| Daily | Format: HH:MM Sample: "01:00" (at 01:00 Daily) |
| Weekly | Format: HH:MM~Day Sample: "01:00~4" (at 01:00 on every Thursday of week) |
| Monthly | Format: HH:MM~Date Sample: "01:00~20" (at 01:00 on every 20th day of month) |
| On-Demand | |
|---|---|
| 100 | Generate report immediately |
| Schedule | |
| 200 | Generate report daily |
| 300 | Generate report weekly |
| 400 | Generate report monthly |
| Daily | Format: HH:MM Sample: "01:00" (at 01:00 Daily) |
| Weekly | Format: HH:MM~Day Sample: "01:00~4" (at 01:00 on every Thursday of week) |
| Monthly | Format: HH:MM~Date Sample: "01:00~20" (at 01:00 on every 20th day of month) |
| On-Demand | |
|---|---|
| 100 | Generate report immediately |
| Schedule | |
| 200 | Generate report daily |
| 300 | Generate report weekly |
| 400 | Generate report monthly |
| Daily | Format: HH:MM Sample: "01:00" (at 01:00 Daily) |
| Weekly | Format: HH:MM~Day Sample: "01:00~4" (at 01:00 on every Thursday of week) |
| Monthly | Format: HH:MM~Date Sample: "01:00~20" (at 01:00 on every 20th day of month) |
| On-Demand | |
|---|---|
| 100 | Generate report immediately |
| Schedule | |
| 200 | Generate report daily |
| 300 | Generate report weekly |
| 400 | Generate report monthly |
| Daily | Format: HH:MM Sample: "01:00" (at 01:00 Daily) |
| Weekly | Format: HH:MM~Day Sample: "01:00~4" (at 01:00 on every Thursday of week) |
| Monthly | Format: HH:MM~Date Sample: "01:00~20" (at 01:00 on every 20th day of month) |
| On-Demand | |
|---|---|
| 100 | Generate report immediately |
| Schedule | |
| 200 | Generate report daily |
| 300 | Generate report weekly |
| 400 | Generate report monthly |
| Daily | Format: HH:MM Sample: "01:00" (at 01:00 Daily) |
| Weekly | Format: HH:MM~Day Sample: "01:00~4" (at 01:00 on every Thursday of week) |
| Monthly | Format: HH:MM~Date Sample: "01:00~20" (at 01:00 on every 20th day of month) |
| On-Demand | |
|---|---|
| 100 | Generate report immediately |
| Schedule | |
| 200 | Generate report daily |
| 300 | Generate report weekly |
| 400 | Generate report monthly |
| Daily | Format: HH:MM Sample: "01:00" (at 01:00 Daily) |
| Weekly | Format: HH:MM~Day Sample: "01:00~4" (at 01:00 on every Thursday of week) |
| Monthly | Format: HH:MM~Date Sample: "01:00~20" (at 01:00 on every 20th day of month) |
| On-Demand | |
|---|---|
| 100 | Generate report immediately |
| Schedule | |
| 200 | Generate report daily |
| 300 | Generate report weekly |
| 400 | Generate report monthly |
| Daily | Format: HH:MM Sample: "01:00" (at 01:00 Daily) |
| Weekly | Format: HH:MM~Day Sample: "01:00~4" (at 01:00 on every Thursday of week) |
| Monthly | Format: HH:MM~Date Sample: "01:00~20" (at 01:00 on every 20th day of month) |
| On-Demand | |
|---|---|
| 100 | Generate report immediately |
| Schedule | |
| 200 | Generate report daily |
| 300 | Generate report weekly |
| 400 | Generate report monthly |
| Daily | Format: HH:MM Sample: "01:00" (at 01:00 Daily) |
| Weekly | Format: HH:MM~Day Sample: "01:00~4" (at 01:00 on every Thursday of week) |
| Monthly | Format: HH:MM~Date Sample: "01:00~20" (at 01:00 on every 20th day of month) |
| On-Demand | |
|---|---|
| 100 | Generate report immediately |
| Schedule | |
| 200 | Generate report daily |
| 300 | Generate report weekly |
| 400 | Generate report monthly |
| Daily | Format: HH:MM Sample: "01:00" (at 01:00 Daily) |
| Weekly | Format: HH:MM~Day Sample: "01:00~4" (at 01:00 on every Thursday of week) |
| Monthly | Format: HH:MM~Date Sample: "01:00~20" (at 01:00 on every 20th day of month) |
| On-Demand | |
|---|---|
| 100 | Generate report immediately |
| Schedule | |
| 200 | Generate report daily |
| 300 | Generate report weekly |
| 400 | Generate report monthly |
| Daily | Format: HH:MM Sample: "01:00" (at 01:00 Daily) |
| Weekly | Format: HH:MM~Day Sample: "01:00~4" (at 01:00 on every Thursday of week) |
| Monthly | Format: HH:MM~Date Sample: "01:00~20" (at 01:00 on every 20th day of month) |
LocalPath: The file name to be uploaded to the device.DevicePath: Directory path on the device where the file will be stored.Install: Set to true if the uploaded file is to be installed (e.g., APK).UseBasicAuthentication: Set to true to use basic authentication for file download.IsHttpUrl: Set to true if the file is hosted over HTTP/HTTPS.HttpUserName: Username for basic HTTP authentication.HttpPassword: Password for basic HTTP authentication.IsSilent: Set to true to silently install the app without user interaction.ExecutePath: Optional command or path to execute after deployment.CurrentUser: Set to true to deploy the job under the currently logged-in user.JobNameXML: Name of the job as stored in XML format, usually same as the file name.FromAppStore: Set to true if the app is to be installed from a managed app store.EnableExecutionScripts: Set this to true to activate the execution of pre and post scripts during job deployment.PreExecutionScript: Define the script to run before the job is deployed. Useful for validating prerequisites, checking permissions, or preparing configurations.PostExecutionScript: Define the script to run after the job deployment. Use this to apply final configurations or complete the deployment process.EnableRevokeScripts: Set this to true to allow execution of pre and post scripts when revoking a job.PreRevokeScript: Specify the script to execute before revoking the job.PostRevokeScript: Specify the script to execute after the job has been revoked.LocalPath: The name of the file to be deployed. This file can reside on the server or local machine.DevicePath: Destination directory on the target device where the file will be copied.Install: Copies the file to the specified path and installs the application on the device if applicable.DeleteAfterInstallation: If set to true, the file will be deleted from the device after successful installation.UseBasicAuthentication: Enables HTTP Basic Authentication if the file is being accessed via a URL.IsHttpUrl: Set to true if the LocalPath points to an online URL instead of a local or server file.HttpUserName: Username used for HTTP Basic Authentication (only applicable if UseBasicAuthentication is true).HttpPassword: Password used for HTTP Basic Authentication.IsSilent: Attempts to install the application silently without user interaction (if the device supports silent installs).ExecutePath: Path to the file to be executed after deployment. Useful for launching non-APK files.CurrentUser: Executes the job under the context of the currently logged-in user on the device (if supported).JobNameXML: Job identifier name used internally; typically the same as the file name being deployed.FromAppStore: Indicates whether the application is being installed from an official app store.AppRestrictions: Optional app restriction configurations (can be null if not applicable).AddShortcutToHomeScreen: Creates a shortcut to the application on the device's home screen.
If there's insufficient space, the shortcut may not be created.AutoGrantPermissions: Automatically grants all runtime permissions required by the application post-installation.EnableExecutionScripts: Enables the execution of pre and post deployment scripts during the job.PreExecutionScript: Script that runs before the job is executed. Can be used to prepare the device or validate preconditions.PostExecutionScript: Script that runs after the job has completed. Useful for cleanup or final setup.EnableRevokeScripts: Enables execution of scripts when the job is being revoked or uninstalled.PreRevokeScript: Script executed before the job is revoked from the device.PostRevokeScript: Script executed after the job is revoked from the device.| DataUsageCycle | DataUsageCycleDay |
| Monthly | Day of the month |
| Weekly | Index of the day Sun-1; Mon-2;Tue-3;..Sat:7; |
| Daily | - |
| Custom | Date in DD/MM/YYYY format. |
this is a sample alert
| Value | Permission |
| 0 | Default |
| 1 | Allow |
| 2 | Deny |
| Value | Permission |
| 0 | Default |
| 1 | Allow |
| 2 | Deny |
| Value | Permission |
| 0 | Default |
| 1 | Allow |
| 2 | Deny |
| Value | Permission |
| 0 | Default |
| 1 | Allow |
| 2 | Deny |
| Value | Permission |
| 0 | Default |
| 1 | Allow |
| 2 | Deny |
| Value | Permission |
| 0 | Default |
| 1 | Allow |
| 2 | Deny |
| Value | Permission |
| 0 | Default |
| 1 | Allow |
| 2 | Deny |
| Value | Permission |
| 0 | Default |
| 1 | Allow |
| 2 | Deny |
| Value | Permission |
| 0 | Default |
| 1 | Allow |
| 2 | Deny |
| Value | Permission |
| 0 | Default |
| 1 | Allow |
| 2 | Deny |
| Value | Permission |
| 0 | Default |
| 1 | Allow |
| 2 | Deny |
| Value | Permission |
| 0 | Default |
| 1 | Optimize |
| 2 | Don't Optimize |
| Value | Permission |
| 0 | Default |
| 1 | Activate |
| 2 | Deactivate |
| Value | Permission |
| 0 | Default |
| 1 | Allow |
| 2 | Deny |
| Value | Permission |
| 0 | Default |
| 1 | Allow |
| 2 | Deny |
| Value | Permission |
| 0 | Default |
| 1 | Allow |
| 2 | Deny |
| Value | Permission |
| 0 | Default |
| 1 | Allow |
| 2 | Deny |
| Value | Permission |
| 0 | Default |
| 1 | Allow |
| 2 | Deny |
| Value | Permission |
| 0 | Default |
| 1 | Allow |
| 2 | Deny |
| Value | #Description | #
|---|---|
| 0 | #Pending | #
| 1 | #In Progress | #
| 5 | #Completed | #
| Permission ID | Description |
|---|---|
| 1 | New Group |
| 2 | Rename Group |
| 3 | Delete Group |
| 367 | Apply Jobs/Profile on Group |
| 46 | Assign Group |
| 58 | Allow Home Group |
| 223 | Move Group |
| 296 | Edit Custom Property |
| 379 | View Masked Custom Property |
| 380 | Edit Masked Custom Property |
| 490 | Group Properties View |
| 4 | Add Default Group Job |
| 433 | Delete Default Group Job |
| 385 | Edit Device Naming Rule |
| 386 | Edit Device Maintenance Window |
| 434 | New Tag |
| 421 | Rename Tag |
| 423 | Delete Tag |
| 425 | Apply Jobs/Profiles on Tag |
| 426 | Add Default Tag Job |
| 427 | Delete Default Tag Job |
| 428 | Assign Tag |
| 168 | Firmware Update and History |
| 420 | New Filter |
| 422 | Rename Filter |
| 424 | Delete Filter |
| 5 | Move to Recycle Bin |
| 6 | Apply Job |
| 115 | Apply Profile |
| 516 | Job History |
| 301 | Retry Pending/Failed/Scheduled Jobs |
| 7 | Remove Queued Job |
| 9 | Remote Device |
| 10 | Locate Device/Location Tracking |
| 11 | Send Message to Device |
| 12 | Reboot Device |
| 344 | Power Off Device |
| 13 | Lock Device |
| 14 | Wipe Device |
| 44 | Edit Device Name |
| 45 | Edit Device Notes |
| 304 | Logs |
| 303 | Export Devices |
| 48 | Call log |
| 49 | SureLock Settings |
| 50 | SureFox Settings |
| 54 | SureVideo Settings |
| 57 | SMS Logs |
| 59 | Edit Telecom Management |
| 91 | Remote Buzz |
| 256 | Edit Bluetooth Name |
| 258 | Edit Android Enterprise |
| 259 | Edit Geo Fence |
| 260 | Edit Time Fence |
| 261 | Edit Network Fence |
| 262 | Remove Installed Profile |
| 263 | Reset Password |
| 264 | System Scan |
| 526 | OS Update |
| 268 | Edit Custom Column |
| 333 | Edit Custom property |
| 328 | Edit Things Info |
| 343 | Apps |
| 349 | Export Logs |
| 350 | Download Logs |
| 351 | Request Report |
| 381 | Edit Admin Access |
| 418 | Lost Mode |
| 522 | View and Edit SureMDM LAPS |
| 436 | BitLocker Dynamic Rotate Job Permission |
| 270 | Unapproved View |
| 21 | Approve Device |
| 390 | Export Unapproved |
| 271 | Preapproved View |
| 272 | Allow Enrollment |
| 273 | Block Enrollment |
| 20 | Automatically Approve Devices |
| 19 | Import Preapproved Devices |
| 274 | Invite User |
| 391 | Export Pre-Approved |
| 8 | Blocklist Device |
| 275 | Blocklisted View |
| 22 | Allowlist Device |
| 392 | Export Blocklisted |
| 276 | Recycle Bin View |
| 277 | Force Delete |
| 289 | Restore |
| 393 | Export Recycle-bin |
| 368 | Unlicensed View |
| 369 | Unlicesed Delete |
| 370 | Assign License |
| 394 | Export Unlicensed |
| 126 | Allow Remote Screen |
| 339 | Allow Remote View |
| 340 | Allow Remote Touch |
| 306 | Allow Remote Screen Settings |
| 307 | Allow Remote Screen Play/Pause |
| 308 | Allow Remote Screen Swipe to Unlock |
| 309 | Allow Remote Screen Volume |
| 310 | Allow Remote Screen Search |
| 311 | Allow Remote Screen Screenshot |
| 312 | Allow Remote Screen Ctrl+alt+delete |
| 313 | Allow Remote Screen Shortcut Management |
| 314 | Allow Remote Screen Change View |
| 315 | Allow Remote Screen Resolution Change |
| 127 | Allow Remote File Manager |
| 316 | Allow remote New Folder |
| 317 | Allow remote Delete |
| 318 | Allow remote Download |
| 319 | Allow remote Upload |
| 128 | Allow Remote Clipboard |
| 320 | Allow Remote Send to Device Clipboard |
| 321 | Allow Remote Read from Device Clipboard |
| 322 | Allow Remote Clear from Device Clipboard |
| 129 | Allow Remote Task Manager |
| 323 | Allow Remote Kill Process Task Manager |
| 324 | Allow Remote Kill AllTask Manager |
| 382 | View Overridden Recovery PIN |
| 419 | View Profile Removal Password |
| 401 | Allow Remote Terminal |
| 15 | Lock Application |
| 16 | Uninstall Application |
| 17 | Application Run at Startup |
| 53 | Clear Application Data |
| 62 | Hide/Unhide Application |
| 18 | Monitor Application |
| 278 | Jobs View |
| 29 | New Job |
| 30 | Delete Job |
| 31 | Modify Job |
| 178 | Move Jobs To Folder |
| 345 | Job Revision History |
| 346 | Revert Job |
| 347 | Compare Job |
| 348 | Save as Job |
| 384 | Download apk/files |
| 32 | Generate Configuration Barcodes |
| 279 | Reports View |
| 33 | System Log Report |
| 34 | Device Health Report |
| 35 | Device Connected Report |
| 36 | Job Deployed Report |
| 37 | Asset Tracking Report |
| 47 | Call Log Tracking Report |
| 51 | App Version Tracking Report |
| 55 | Device History Report |
| 56 | Data Usage Report |
| 99 | Installed Job Report |
| 116 | Compliance Job Report |
| 121 | Allow Custom Report |
| 130 | Allow Data Usage Report |
| 117 | Device Activity Report |
| 288 | Device Encryption Report |
| 334 | Group Details |
| 1112 | User Accounts Report |
| 450 | Access All User Reports |
| 431 | Windows 11 Readiness Report |
| 402 | Device Event Analytics Report |
| 122 | View Custom Report |
| 360 | Add Custom Report |
| 123 | Modify Custom Report |
| 124 | Delete Custom Report |
| 41 | Add User, Role & Settings Control. |
| 42 | Edit User, Role & Settings Control. |
| 43 | Delete User, Role & Settings Control. |
| 100 | Change Password |
| 101 | Enable or Disable User |
| 109 | Export |
| 280 | Dashboard View |
| 63 | OS Platforms |
| 64 | Available Battery |
| 65 | Available RAM |
| 66 | Available Storage |
| 67 | Last Connected |
| 68 | Online/Offline |
| 69 | Device SIM Status |
| 70 | Roaming Status |
| 71 | Unread Mail |
| 72 | Unapproved Devices |
| 73 | Jobs |
| 146 | Over All Compliance |
| 147 | OS Version Compliance |
| 148 | Rooted Compliance |
| 358 | Play For Work |
| 224 | Security Patch Level |
| 225 | Things Compliance |
| 149 | Connectivity Compliance |
| 150 | Sim Change Compliance |
| 151 | Password Policy Compliance |
| 152 | Battery Compliance |
| 524 | Cell Signal Strength Compliance |
| 266 | Wi-Fi Signal Strength |
| 153 | Application Policy |
| 154 | SD Card Change Compliance |
| 167 | Efota Registration Status |
| 173 | Data Analytics |
| 174 | Mobile Network Compliance |
| 175 | Windows Health Attestation |
| 265 | Active Kiosk Application |
| 205 | Windows Copy Genuine Validation |
| 176 | Intel® AMT Configuration Status |
| 338 | OS Build Number |
| 177 | Device Storage Compliance |
| 525 | Device Temperature Compliance |
| 336 | Device Encryption |
| 195 | Copy Dashboard |
| 196 | Edit Dashboard |
| 197 | Delete Dashboard |
| 198 | Add/Remove Favorite Dashboard |
| 200 | Add Chart |
| 201 | Create Dashboard |
| 206 | Mobile Threat Defence |
| 494 | Firewall Compliance Policy |
| 267 | Location Access |
| 335 | Hardware Change |
| 226 | Windows Update |
| 352 | OEM Configuration Status |
| 12001 | App Version |
| 12002 | OS Build Version |
| 337 | Device Uptime |
| 359 | Custom Compliance |
| 194 | Rename Dashboard |
| 281 | Inbox View |
| 28 | Reply |
| 185 | Mark As Read |
| 186 | Mark As Unread |
| 27 | Delete |
| 187 | Cleanup Inbox |
| 287 | File Store View |
| 74 | New Folder |
| 75 | Upload Files |
| 76 | Delete File/Folder |
| 305 | Enable FileStore for all devices |
| 283 | Profiles View |
| 77 | Add Android Profile |
| 78 | Modify Android Profile |
| 79 | Delete Android Profile |
| 80 | Set Default Android Profile |
| 169 | Move to Folder Android Profile |
| 82 | Add iOS Profile |
| 83 | Modify iOS Profile |
| 84 | Delete iOS Profile |
| 85 | Set Default iOS Profile |
| 170 | Move to Folder iOS Profile |
| 87 | Add Windows Profile |
| 88 | Modify Windows Profile |
| 89 | Delete Windows Profile |
| 90 | Set Default Windows Profile |
| 171 | Move to Folder Windows Profile |
| 102 | Add macOS Profile |
| 103 | Modify macOS Profile |
| 104 | Delete macOS Profile |
| 105 | Set Default macOS Profile |
| 172 | Move to Folder macOS Profile |
| 188 | Add Linux Profile |
| 189 | Modify Linux Profile |
| 190 | Delete Linux Profile |
| 191 | Set Default Linux Profile |
| 192 | Move to Folder Linux Profile |
| 157 | Add Office365 Profile |
| 158 | Modify Office365 Profile |
| 159 | Delete Office365 Profile |
| 160 | Assign to groups Office365 Profile |
| 163 | Select unapproved Android Enterprise applications |
| 354 | Profile Revision History |
| 357 | Save as Profile |
| 356 | Compare Profile |
| 355 | Revert Profile |
| 361 | Add ChromeOS Profile |
| 362 | Edit ChromeOS Profile |
| 363 | Delete ChromeOS Profile |
| 403 | Add tvOS Profile |
| 404 | Modify tvOS Profile |
| 405 | Delete tvOS Profile |
| 406 | Set Default tvOS Profile |
| 407 | Move to Folder tvOS Profile |
| 284 | AppStore View |
| 92 | Add Android |
| 93 | Edit Android |
| 94 | Remove Android |
| 95 | Add iOS |
| 96 | Edit iOS |
| 97 | Remove iOS |
| 118 | Add Windows |
| 119 | Edit Windows |
| 120 | Remove Windows |
| 106 | Add macOS |
| 107 | Edit macOS |
| 108 | Remove macOS |
| 325 | Add Linux |
| 326 | Edit Linux |
| 327 | Remove Linux |
| 364 | Add ChromeOS |
| 365 | Edit ChromeOS |
| 366 | Remove ChromeOS |
| 383 | Download Android |
| 408 | Edit tvOS |
| 409 | Remove tvOS |
| 38 | Activity Log |
| 39 | Security |
| 699 | Notification Permission |
| 113 | Modify History |
| 114 | Export History |
| 285 | Enrollment View |
| 183 | Create QR Code |
| 179 | Set as Default QR Code |
| 180 | Modify QR Code |
| 181 | Delete QR Code |
| 182 | View QR Code |
| 527 | Zebra Printer |
| 528 | Citizen Printer |
| 529 | SATO Printer |
| 221 | Create Custom Column |
| 222 | Delete Custom Column |
| 257 | Modify Custom Column |
| 371 | Account ID |
| 372 | Subscription |
| 373 | Device License Used |
| 374 | Things License Used |
| 375 | VR License Used |
| 377 | MTD License Used |
| 378 | SureAccess License Used |
| 376 | Storage Used |
| 415 | OS Update View |
| 411 | Explore Jobs |
| 412 | Create New Job |
| 413 | Delete Job |
| 414 | Modify Job |
| 416 | Approve/Install Update |
| 417 | Uninstall Update |
| 286 | MTD View |
| 204 | MTD Scan |
| 438 | CVE View |
| 439 | CVE Deploy |
| 440 | CVE Export |
| 520 | Network Discovery View |
| 521 | Export Network Discovery |
| 131 | Branding Info |
| 132 | Device Enrollment Rules |
| 517 | Identity & Access Management |
| 330 | Device Enrollment Restrictions |
| 435 | Customize SureMDM Agent Permissions |
| 133 | Acceptable Use Policy |
| 134 | Apple Platform Management |
| 135 | Group Assignment Rules |
| 136 | SAML Single Sign-On |
| 137 | Alert Template |
| 138 | Customize Toolbar |
| 139 | Customize SureMDM Agent/SureLock |
| 140 | Certificate Management |
| 141 | Data Analytics |
| 142 | Miscellaneous Settings |
| 353 | Android Management |
| 143 | Mobile Email Management |
| 144 | Account Management |
| 203 | Enterprise Integrations |
| 155 | Chrome OS Device Management |
| 156 | Office 365 Settings |
| 161 | Webhooks Settings |
| 342 | ServiceNow Settings |
| 162 | Verified Emails |
| 164 | Plugins settings |
| 166 | Firmware Updates |
| 399 | Mobile Threat Defense |
| 269 | Things Management |
| 331 | Device Properties |
| 429 | Linux Management |
| 441 | Windows Management |
| 437 | SureAccess |
| 145 | License Management |
| 341 | Relay Server |
| 471 | Add |
| 472 | Delete |
| 473 | Move Up |
| 474 | Move Down |
| 474 | Move Down |
| 442 | Move Single Device To Group |
| 443 | Move Multiple Device To Group |
| Value | Description |
|---|---|
| 0 | WiFi |
| 1 | Mobile data |
| 2 | Any |
| Value | Description |
|---|---|
| "0" | Don't Care |
| "1" | Plugged in |
| Value | Description |
|---|---|
| 0 | WiFi |
| 1 | Mobile data |
| 2 | Any |
| Value | Description |
|---|---|
| 0 | Don't Care |
| 1 | Plugged in |
| Value | Description |
|---|---|
| 0 | WiFi |
| 1 | Mobile data |
| 2 | Any |
| Parameter | Description |
|---|---|
| Time | HH:MM (24 hour format) Eg: 10:41 |
| Days | Days to repeat 0 - Sunday 1 - Monday 2 - Tuesday 3 - Wednesday 4 - Thursday 5 - Friday 6 - Saturday Eg: ["1","2","3","4","5"] |
| GMTTimeInterval | Time offset in minutes preceding with '-' Eg: -330 for GMT"+05:30" |
| Value | Description |
|---|---|
| 0 | WiFi |
| 1 | Mobile data |
| 2 | Any |
| Parameter | Description |
|---|---|
| Time | HH:MM (24 hour format) Eg: 10:41 |
| Days | Days to repeat 0 - Sunday 1 - Monday 2 - Tuesday 3 - Wednesday 4 - Thursday 5 - Friday 6 - Saturday Eg: ["1","2","3","4","5"] |
| GMTTimeInterval | Time offset in minutes preceding with '-' Eg: -330 for GMT"+05:30" |
| Value | Description |
|---|---|
| 0 | WiFi |
| 1 | Mobile data |
| 2 | Any |
| 3 | Ethernet only |
| 4 | Ethernet or WiFi only |
| Value | Description |
|---|---|
| "0" | Don't Care |
| "1" | Plugged in |
| Value | Description |
|---|---|
| 0 | WiFi |
| 1 | Mobile data |
| 2 | Any |
| 3 | Ethernet only |
| 4 | Ethernet or WiFi only |
| Value | Description |
|---|---|
| "0" | Don't Care |
| "1" | Plugged in |
| Value | Description |
|---|---|
| 0 | WiFi |
| 1 | Mobile data |
| 2 | Any |
| Value | Description |
|---|---|
| "0" | Don't Care |
| "1" | Plugged in |
| Value | Description |
|---|---|
| "0" | Don't Care |
| "1" | Plugged in |
| Value | Description |
|---|---|
| 0 | WiFi |
| 1 | Mobile data |
| 2 | Any |
| Parameter | Description |
|---|---|
| Time | HH:MM (24 hour format) Eg: 10:41 |
| Days | Days to repeat 0 - Sunday 1 - Monday 2 - Tuesday 3 - Wednesday 4 - Thursday 5 - Friday 6 - Saturday Eg: ["1","2","3","4","5"] |
| GMTTimeInterval | Time offset in minutes preceding with '-' Eg: -330 for GMT"+05:30" |
| Value | Description |
|---|---|
| 0 | WiFi |
| 1 | Mobile data |
| 2 | Any |
| Value | Description |
|---|---|
| "0" | Don't Care |
| "1" | Plugged in |
| OS Type |
|---|
| Android |
| iOS |
| Windows |
| Windows CE |
| Windows MDM |
| Windows Mobile |
| Android Wear |
| Things |
| Linux |
| Android VR |
| Mac OS |
| Description | Value |
|---|---|
| On | 1 |
| Off | 0 |
| N/A | null |
| Description | Value |
|---|---|
| On | 1 |
| Off | 0 |
| N/A | null |
| Description | Value |
|---|---|
| Unsecured (HTTP) | 0 |
| Secured (HTTPS) | 1 |
| Description | Value |
|---|---|
| Failed | 0 |
| Success | 1 |
| Pending | 2 |
| In-Progress | 3 |
| Description | Value |
|---|---|
| Unrooted (Rootstatus = no) | 0 |
| Granted | 1 |
| Rooted (Rootstatus = yes) | 3 |
| Signed | 4 |
| Unknown | Any value except above enum values |
| Description |
Value |
|---|---|
| Yes | 2 |
| No | 1 |
| N/A | Any value other than 1 and 2 |
| Description | Value |
|---|---|
| SMS Log Tracking Enabled | 0 |
| SMS Log Tracking Disabled | 1 |
| Description | Value |
|---|---|
| Not Supported | 1 |
| Not Enrolled | 2 |
| Managed Device | 3 |
| Profile Owner | 4 |
| Device Owner | 5 |
| Description | Value |
|---|---|
| Yes | 1,2 or null |
| No | Any value other than specified above |
| Description | Value |
|---|---|
| 1,2,null | Yes |
| Any value other than specified above | No |
| Description | Value |
|---|---|
| On | 1 |
| Off | 0 |
| N/A | null |
| Description | Value |
|---|---|
| Normal enrollment Either "Nix enrollment" or "EMM enrollment" | 0 |
| Dual enrollment "Nix enrollment" and "EMM enrollment" both | 1 |
| Description | Value |
|---|---|
| Yes | 1 |
| No | 0 |
| N/A | null |
| Description | Value |
|---|---|
| Yes | 1 |
| No | 0 |
| N/A | null |
| Description | Value |
|---|---|
| Yes | 1 |
| No | 0 |
| N/A | null |
| Description | Value |
|---|---|
| True (Yes) | 1 |
| False (No) | 0 |
| N/A | null,2 |
| Description | Value |
|---|---|
| True (Yes) | 1 |
| False (No) | 0 |
| Description | Value |
|---|---|
| True (Yes) | 1 |
| False (No) | 0 |
| Description | Value |
|---|---|
| Is Admin (Yes) | 1 |
| Not an Admin (No) | 0 |
| Description | Value |
|---|---|
| Periodic Polling | 1 |
| APNS | 3 |
| WNS | 4 |
| GCM | 2 |
| FCM | 5 |
| Normal Polling | Values other than above enum values |
| Description | Value |
|---|---|
| Mobile Data | 1 |
| Wi-Fi | 2 |
| Ethernet | 3 |
| Bluetooth | 4 |
| VPN | 5 |
| Unknown | Value except above enum values |
| Description | Value |
|---|---|
| Off | 0 |
| On | 1 |
| Description | Value |
|---|---|
| Off | 0 |
| On | 1 |
| Description | Value |
|---|---|
| Off | 0 |
| On | 1 |
| Description | Value |
|---|---|
| Enabled | 1 |
| Disabled | 0 |
| N/A | null |
| Description | Value |
|---|---|
| On | 1 |
| Off | 0 |
| N/A | null |
| Description | Value |
|---|---|
| Plugged In | 1 |
| Plugged Out | 0 |
| N/A | null |
| Description | Value |
|---|---|
| Approved | 1 |
| Unapproved | 0 |
| Description | Value |
|---|---|
| Off | 0 |
| On | 1 |
| N/A | null |
| Description | Value |
|---|---|
| Yes | 1 |
| No | 0 |
| N/A | null |
| Description | Value |
|---|---|
| No | 0 |
| Yes | Value except " " , null and n/a (Any numeric value) |
| N/A | Value except numerical value |
| Description | Value |
|---|---|
| Fail | 0 |
| Pass | Value except " " , null and n/a (Any numeric value) |
| N/A | Value except numerical value |
| Description | Value |
|---|---|
| Disabled | 0 |
| Enabled | Value except " " , null and n/a (Any numeric value) |
| N/A | Values except numerical value |
| Description | Value |
|---|---|
| Enabled | 1 |
| Disabled | 0 |
| N/A | null |
| Description | Value |
|---|---|
| Blocked | 0 |
| Allowed | 1 |
| N/A | Value except numerical value |
| Description | Value |
|---|---|
| Failed | 0 |
| Success | 1 |
| Pending | 2 |
| Default | Any value other than above value |
| Description | Value |
|---|---|
| Application Processor | G920FXXU3DPDO |
| Consumer Software Customization | G920FXXU3DPA1 |
| Cellular Processor | G920FOXA3DPD2 |
| Description | Value |
|---|---|
| Normal enrollment Either "Nix enrollment" or "EMM enrollment" | 0 |
| Dual enrollment "Nix enrollment" and "EMM enrollment" both | 1 |
| OS Type |
|---|
| Android |
| iOS |
| Windows |
| Windows CE |
| Windows MDM |
| Windows Mobile |
| Android Wear |
| Things |
| Linux |
| Android VR |
| Mac OS |
| Description | Value |
|---|---|
| Unrooted (Rootstatus = no) | 0 |
| Granted | 1 |
| Rooted (Rootstatus = yes) | 3 |
| Signed | 4 |
| Unknown | Any value except above enum values |
| Description |
Value |
|---|---|
| Yes | 2 |
| No | 1 |
| N/A | Any value other than 1 and 2 |
| Description | Value |
|---|---|
| 1,2,null | Yes |
| Any value other than specified above | No |
| Description | Value |
|---|---|
| Yes | 1,2 or null |
| No | Any value other than specified above |
| Description | Value |
|---|---|
| Periodic Polling | 1 |
| APNS | 3 |
| WNS | 4 |
| GCM | 2 |
| FCM | 5 |
| Normal Polling | Values other than above enum values |
| Description | Value |
|---|---|
| Mobile Data | 1 |
| Wi-Fi | 2 |
| Ethernet | 3 |
| Bluetooth | 4 |
| VPN | 5 |
| Unknown | Value except above enum values |
| Description | Value |
|---|---|
| Enabled | 1 |
| Disabled | 0 |
| N/A | null |
| Description | Value |
|---|---|
| On | 1 |
| Off | 0 |
| N/A | null |
| Description | Value |
|---|---|
| Plugged In | 1 |
| Plugged Out | 0 |
| N/A | null |
| Description | Value |
|---|---|
| Not Supported | 1 |
| Not Enrolled | 2 |
| Managed Device | 3 |
| Profile Owner | 4 |
| Device Owner | 5 |
| Description | Value |
|---|---|
| Off | 0 |
| On | 1 |
| N/A | null |
| Description | Value |
|---|---|
| Yes | 1 |
| No | 0 |
| N/A | null |
| Description | Value |
|---|---|
| No | 0 |
| Yes | Value except " " , null and n/a (Any numeric value) |
| N/A | Value except numerical value |
| Description | Value |
|---|---|
| Fail | 0 |
| Pass | Value except " " , null and n/a (Any numeric value) |
| N/A | Value except numerical value |
| Description | Value |
|---|---|
| Disabled | 0 |
| Enabled | Value except " " , null and n/a (Any numeric value) |
| N/A | Values except numerical value |
| Description | Value |
|---|---|
| Enabled | 1 |
| Disabled | 0 |
| N/A | null |
| Description | Value |
|---|---|
| Blocked | 0 |
| Allowed | 1 |
| N/A | Value except numerical value |
| Description | Value |
|---|---|
| Failed | 0 |
| Success | 1 |
| Pending | 2 |
| Default | Any value other than above value |
| Description | Value |
|---|---|
| Application Processor | G920FXXU3DPDO |
| Consumer Software Customization | G920FXXU3DPA1 |
| Cellular Processor | G920FOXA3DPD2 |
| Description | Value |
|---|---|
| Unsecured (HTTP) | 0 |
| Secured (HTTPS) | 1 |
| Description | Value |
|---|---|
| On | 1 |
| Off | 0 |
| N/A | null |
| Description | Value |
|---|---|
| Yes | 1 |
| No | 0 |
| N/A | null |
| Description | Value |
|---|---|
| Yes | 1 |
| No | 0 |
| N/A | null |
| Description | Value |
|---|---|
| Yes | 1 |
| No | 0 |
| N/A | null |
| Description | Value |
|---|---|
| Approved | 1 |
| Unapproved | 0 |
| Description | Value |
|---|---|
| Failed | 0 |
| Success | 1 |
| Pending | 2 |
| In-Progress | 3 |
External is only valid when used with advanced search requests. For other types, only Internal is allowed.
example: External
ApplicationList:
type: array
description: List of application package names to filter devices by the installed applications.
items:
type: string
example:
- "com.google.android.apps.subscriptions.red"
- "com.google.android.googlequicksearchbox"
SearchPayload:
type: array
items:
type: object
description: Payload for search.
example: []
SubgroupDevicesEnable:
type: boolean
description: Enable searching of subgroup devices.
example: false
IsIncludedBlackListed:
type: boolean
description: To include blocklisted devices on search.
example: false
NameSearchOption:
type: string
description: |
Option applied for DeviceName column, if it is used in `SearchColumns`.| Value | Description |
|---|---|
| 0 | Inactive |
| 1 | Active |
| 2 | Triggered |
| Value | Description |
|---|---|
| 0 | Job folder |
| 1 | Profile folder |
| asc | Ascending order |
| desc | Descending order |
| Value | Description |
|---|---|
| UseSystemGenerated | Use system generated device name |
| UseIMEI | Use IMEI number as device name |
| UseMac | Use WiFi MAC address as device name |
| UseSerialNumber | Use device's serial number as device name |
| UsePhoneNumber | Use phone number used by the device as device name |
| SetManually | Set device name manually |
| Description | Value |
|---|---|
| Enterprise application | 0 |
| Enterprise web app | 1 |
| Description | Value |
|---|---|
| Enterprise application | 0 |
| Enterprise web app | 1 |